Our use of the term "mandatory" instead of "required" comes from this module's long history. 8 years ago, the web hadn't standardized on the term "required" and calling things mandatory was more common than it is today. However considering Drupal adopted the term "required" with the introduction of FormAPI in Drupal 4.7 and the W3C adopted "required" as an official HTML5 attribute, we should move our legacy terminology into the present.

Files: 

Comments

quicksketch’s picture

Status:Active» Needs review
StatusFileSize
new31.42 KB

Wow, this is one of the most straight-forward find/replace jobs I've done in a while. After simple find/replacements, everything still functions perfectly. Update hook added to migrate the database table. Of course we'll need an entry in the upgrading handbook page.

quicksketch’s picture

Status:Needs review» Fixed

All tests still pass and I can't find any troubles in the UI. Committed to 7.x-4.x. Hurray for moving into the present.

quicksketch’s picture

Status:Fixed» Closed (fixed)

Automatically closed -- issue fixed for 2 weeks with no activity.